org.eclipse.jgit.errors

## Class PackProtocolException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.TransportException
        - - org.eclipse.jgit.errors.PackProtocolException

All Implemented Interfaces:
  Serializable

    public class PackProtocolException
    extends TransportException

Indicates a protocol error has occurred while fetching/pushing objects.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PackProtocolException(String s)` Constructs an PackProtocolException with the specified detail message.
`PackProtocolException(String s, Throwable cause)` Constructs an PackProtocolException with the specified detail message.
`PackProtocolException(URIish uri, String s)` Constructs an PackProtocolException with the specified detail message prefixed with provided URI.
`PackProtocolException(URIish uri, String s, Throwable cause)` Constructs an PackProtocolException with the specified detail message prefixed with provided URI.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PackProtocolException

    public PackProtocolException(URIish uri,
                                 String s)

Constructs an PackProtocolException with the specified detail message prefixed with provided URI.

Parameters:
  `uri` - URI used for transport
  `s` - message

#### PackProtocolException

    public PackProtocolException(URIish uri,
                                 String s,
                                 Throwable cause)

Constructs an PackProtocolException with the specified detail message prefixed with provided URI.

Parameters:
  `uri` - URI used for transport
  `s` - message
  `cause` - root cause exception

#### PackProtocolException

    public PackProtocolException(String s)

Constructs an PackProtocolException with the specified detail message.

Parameters:
  `s` - message

#### PackProtocolException

    public PackProtocolException(String s,
                                 Throwable cause)

Constructs an PackProtocolException with the specified detail message.

Parameters:
  `s` - message
  `cause` - root cause exception